ObjectFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class ObjectFactory

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.hibernate.internal.jaxb.mapping.orm package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.internal.jaxb.mapping.orm

Method Summary
`JaxbAssociationOverride` | `createJaxbAssociationOverride()` Create an instance of `JaxbAssociationOverride`
`JaxbAttributeOverride` | `createJaxbAttributeOverride()` Create an instance of `JaxbAttributeOverride`
`JaxbAttributes` | `createJaxbAttributes()` Create an instance of `JaxbAttributes`
`JaxbBasic` | `createJaxbBasic()` Create an instance of `JaxbBasic`
`JaxbCascadeType` | `createJaxbCascadeType()` Create an instance of `JaxbCascadeType`
`JaxbCollectionTable` | `createJaxbCollectionTable()` Create an instance of `JaxbCollectionTable`
`JaxbColumn` | `createJaxbColumn()` Create an instance of `JaxbColumn`
`JaxbColumnResult` | `createJaxbColumnResult()` Create an instance of `JaxbColumnResult`
`JaxbDiscriminatorColumn` | `createJaxbDiscriminatorColumn()` Create an instance of `JaxbDiscriminatorColumn`
`JaxbElementCollection` | `createJaxbElementCollection()` Create an instance of `JaxbElementCollection`
`JaxbEmbeddable` | `createJaxbEmbeddable()` Create an instance of `JaxbEmbeddable`
`JaxbEmbeddableAttributes` | `createJaxbEmbeddableAttributes()` Create an instance of `JaxbEmbeddableAttributes`
`JaxbEmbedded` | `createJaxbEmbedded()` Create an instance of `JaxbEmbedded`
`JaxbEmbeddedId` | `createJaxbEmbeddedId()` Create an instance of `JaxbEmbeddedId`
`JaxbEmptyType` | `createJaxbEmptyType()` Create an instance of `JaxbEmptyType`
`JaxbEntity` | `createJaxbEntity()` Create an instance of `JaxbEntity`
`JaxbEntityListener` | `createJaxbEntityListener()` Create an instance of `JaxbEntityListener`
`JaxbEntityListeners` | `createJaxbEntityListeners()` Create an instance of `JaxbEntityListeners`
`JaxbEntityMappings` | `createJaxbEntityMappings()` Create an instance of `JaxbEntityMappings`
`JaxbEntityResult` | `createJaxbEntityResult()` Create an instance of `JaxbEntityResult`
`JaxbFieldResult` | `createJaxbFieldResult()` Create an instance of `JaxbFieldResult`
`JaxbGeneratedValue` | `createJaxbGeneratedValue()` Create an instance of `JaxbGeneratedValue`
`JaxbId` | `createJaxbId()` Create an instance of `JaxbId`
`JaxbIdClass` | `createJaxbIdClass()` Create an instance of `JaxbIdClass`
`JaxbInheritance` | `createJaxbInheritance()` Create an instance of `JaxbInheritance`
`JaxbJoinColumn` | `createJaxbJoinColumn()` Create an instance of `JaxbJoinColumn`
`JaxbJoinTable` | `createJaxbJoinTable()` Create an instance of `JaxbJoinTable`
`JaxbLob` | `createJaxbLob()` Create an instance of `JaxbLob`
`JaxbManyToMany` | `createJaxbManyToMany()` Create an instance of `JaxbManyToMany`
`JaxbManyToOne` | `createJaxbManyToOne()` Create an instance of `JaxbManyToOne`
`JaxbMapKey` | `createJaxbMapKey()` Create an instance of `JaxbMapKey`
`JaxbMapKeyClass` | `createJaxbMapKeyClass()` Create an instance of `JaxbMapKeyClass`
`JaxbMapKeyColumn` | `createJaxbMapKeyColumn()` Create an instance of `JaxbMapKeyColumn`
`JaxbMapKeyJoinColumn` | `createJaxbMapKeyJoinColumn()` Create an instance of `JaxbMapKeyJoinColumn`
`JaxbMappedSuperclass` | `createJaxbMappedSuperclass()` Create an instance of `JaxbMappedSuperclass`
`JaxbNamedNativeQuery` | `createJaxbNamedNativeQuery()` Create an instance of `JaxbNamedNativeQuery`
`JaxbNamedQuery` | `createJaxbNamedQuery()` Create an instance of `JaxbNamedQuery`
`JaxbOneToMany` | `createJaxbOneToMany()` Create an instance of `JaxbOneToMany`
`JaxbOneToOne` | `createJaxbOneToOne()` Create an instance of `JaxbOneToOne`
`JaxbOrderColumn` | `createJaxbOrderColumn()` Create an instance of `JaxbOrderColumn`
`JaxbPersistenceUnitDefaults` | `createJaxbPersistenceUnitDefaults()` Create an instance of `JaxbPersistenceUnitDefaults`
`JaxbPersistenceUnitMetadata` | `createJaxbPersistenceUnitMetadata()` Create an instance of `JaxbPersistenceUnitMetadata`
`JaxbPostLoad` | `createJaxbPostLoad()` Create an instance of `JaxbPostLoad`
`JaxbPostPersist` | `createJaxbPostPersist()` Create an instance of `JaxbPostPersist`
`JaxbPostRemove` | `createJaxbPostRemove()` Create an instance of `JaxbPostRemove`
`JaxbPostUpdate` | `createJaxbPostUpdate()` Create an instance of `JaxbPostUpdate`
`JaxbPrePersist` | `createJaxbPrePersist()` Create an instance of `JaxbPrePersist`
`JaxbPreRemove` | `createJaxbPreRemove()` Create an instance of `JaxbPreRemove`
`JaxbPreUpdate` | `createJaxbPreUpdate()` Create an instance of `JaxbPreUpdate`
`JaxbPrimaryKeyJoinColumn` | `createJaxbPrimaryKeyJoinColumn()` Create an instance of `JaxbPrimaryKeyJoinColumn`
`JaxbQueryHint` | `createJaxbQueryHint()` Create an instance of `JaxbQueryHint`
`JaxbSecondaryTable` | `createJaxbSecondaryTable()` Create an instance of `JaxbSecondaryTable`
`JaxbSequenceGenerator` | `createJaxbSequenceGenerator()` Create an instance of `JaxbSequenceGenerator`
`JaxbSqlResultSetMapping` | `createJaxbSqlResultSetMapping()` Create an instance of `JaxbSqlResultSetMapping`
`JaxbTable` | `createJaxbTable()` Create an instance of `JaxbTable`
`JaxbTableGenerator` | `createJaxbTableGenerator()` Create an instance of `JaxbTableGenerator`
`JaxbTransient` | `createJaxbTransient()` Create an instance of `JaxbTransient`
`JaxbUniqueConstraint` | `createJaxbUniqueConstraint()` Create an instance of `JaxbUniqueConstraint`
`JaxbVersion` | `createJaxbVersion()` Create an instance of `JaxbVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.internal.jaxb.mapping.orm

Method Detail

### createJaxbAttributes

    public JaxbAttributes createJaxbAttributes()

  Create an instance of `JaxbAttributes`

### createJaxbColumn

    public JaxbColumn createJaxbColumn()

  Create an instance of `JaxbColumn`

### createJaxbEmbeddedId

    public JaxbEmbeddedId createJaxbEmbeddedId()

  Create an instance of `JaxbEmbeddedId`

### createJaxbFieldResult

    public JaxbFieldResult createJaxbFieldResult()

  Create an instance of `JaxbFieldResult`

### createJaxbCascadeType

    public JaxbCascadeType createJaxbCascadeType()

  Create an instance of `JaxbCascadeType`

### createJaxbMapKeyColumn

    public JaxbMapKeyColumn createJaxbMapKeyColumn()

  Create an instance of `JaxbMapKeyColumn`

### createJaxbVersion

    public JaxbVersion createJaxbVersion()

  Create an instance of `JaxbVersion`

### createJaxbNamedNativeQuery

    public JaxbNamedNativeQuery createJaxbNamedNativeQuery()

  Create an instance of `JaxbNamedNativeQuery`

### createJaxbEmbeddableAttributes

    public JaxbEmbeddableAttributes createJaxbEmbeddableAttributes()

  Create an instance of `JaxbEmbeddableAttributes`

### createJaxbMappedSuperclass

    public JaxbMappedSuperclass createJaxbMappedSuperclass()

  Create an instance of `JaxbMappedSuperclass`

### createJaxbCollectionTable

    public JaxbCollectionTable createJaxbCollectionTable()

  Create an instance of `JaxbCollectionTable`

### createJaxbPrePersist

    public JaxbPrePersist createJaxbPrePersist()

  Create an instance of `JaxbPrePersist`

### createJaxbQueryHint

    public JaxbQueryHint createJaxbQueryHint()

  Create an instance of `JaxbQueryHint`

### createJaxbAttributeOverride

    public JaxbAttributeOverride createJaxbAttributeOverride()

  Create an instance of `JaxbAttributeOverride`

### createJaxbPostRemove

    public JaxbPostRemove createJaxbPostRemove()

  Create an instance of `JaxbPostRemove`

### createJaxbTransient

    public JaxbTransient createJaxbTransient()

  Create an instance of `JaxbTransient`

### createJaxbEntityMappings

    public JaxbEntityMappings createJaxbEntityMappings()

  Create an instance of `JaxbEntityMappings`

### createJaxbEmbeddable

    public JaxbEmbeddable createJaxbEmbeddable()

  Create an instance of `JaxbEmbeddable`

### createJaxbPreUpdate

    public JaxbPreUpdate createJaxbPreUpdate()

  Create an instance of `JaxbPreUpdate`

### createJaxbManyToOne

    public JaxbManyToOne createJaxbManyToOne()

  Create an instance of `JaxbManyToOne`

### createJaxbEntity

    public JaxbEntity createJaxbEntity()

  Create an instance of `JaxbEntity`

### createJaxbPostPersist

    public JaxbPostPersist createJaxbPostPersist()

  Create an instance of `JaxbPostPersist`

### createJaxbMapKeyJoinColumn

    public JaxbMapKeyJoinColumn createJaxbMapKeyJoinColumn()

  Create an instance of `JaxbMapKeyJoinColumn`

### createJaxbMapKey

    public JaxbMapKey createJaxbMapKey()

  Create an instance of `JaxbMapKey`

### createJaxbOrderColumn

    public JaxbOrderColumn createJaxbOrderColumn()

  Create an instance of `JaxbOrderColumn`

### createJaxbLob

    public JaxbLob createJaxbLob()

  Create an instance of `JaxbLob`

### createJaxbGeneratedValue

    public JaxbGeneratedValue createJaxbGeneratedValue()

  Create an instance of `JaxbGeneratedValue`

### createJaxbNamedQuery

    public JaxbNamedQuery createJaxbNamedQuery()

  Create an instance of `JaxbNamedQuery`

### createJaxbId

    public JaxbId createJaxbId()

  Create an instance of `JaxbId`

### createJaxbEntityResult

    public JaxbEntityResult createJaxbEntityResult()

  Create an instance of `JaxbEntityResult`

### createJaxbDiscriminatorColumn

    public JaxbDiscriminatorColumn createJaxbDiscriminatorColumn()

  Create an instance of `JaxbDiscriminatorColumn`

### createJaxbOneToMany

    public JaxbOneToMany createJaxbOneToMany()

  Create an instance of `JaxbOneToMany`

### createJaxbPostUpdate

    public JaxbPostUpdate createJaxbPostUpdate()

  Create an instance of `JaxbPostUpdate`

### createJaxbSequenceGenerator

    public JaxbSequenceGenerator createJaxbSequenceGenerator()

  Create an instance of `JaxbSequenceGenerator`

### createJaxbJoinColumn

    public JaxbJoinColumn createJaxbJoinColumn()

  Create an instance of `JaxbJoinColumn`

### createJaxbUniqueConstraint

    public JaxbUniqueConstraint createJaxbUniqueConstraint()

  Create an instance of `JaxbUniqueConstraint`

### createJaxbPreRemove

    public JaxbPreRemove createJaxbPreRemove()

  Create an instance of `JaxbPreRemove`

### createJaxbIdClass

    public JaxbIdClass createJaxbIdClass()

  Create an instance of `JaxbIdClass`

### createJaxbManyToMany

    public JaxbManyToMany createJaxbManyToMany()

  Create an instance of `JaxbManyToMany`

### createJaxbInheritance

    public JaxbInheritance createJaxbInheritance()

  Create an instance of `JaxbInheritance`

### createJaxbPersistenceUnitDefaults

    public JaxbPersistenceUnitDefaults createJaxbPersistenceUnitDefaults()

  Create an instance of `JaxbPersistenceUnitDefaults`

### createJaxbEmptyType

    public JaxbEmptyType createJaxbEmptyType()

  Create an instance of `JaxbEmptyType`

### createJaxbAssociationOverride

    public JaxbAssociationOverride createJaxbAssociationOverride()

  Create an instance of `JaxbAssociationOverride`

### createJaxbSqlResultSetMapping

    public JaxbSqlResultSetMapping createJaxbSqlResultSetMapping()

  Create an instance of `JaxbSqlResultSetMapping`

### createJaxbBasic

    public JaxbBasic createJaxbBasic()

  Create an instance of `JaxbBasic`

### createJaxbMapKeyClass

    public JaxbMapKeyClass createJaxbMapKeyClass()

  Create an instance of `JaxbMapKeyClass`

### createJaxbColumnResult

    public JaxbColumnResult createJaxbColumnResult()

  Create an instance of `JaxbColumnResult`

### createJaxbPrimaryKeyJoinColumn

    public JaxbPrimaryKeyJoinColumn createJaxbPrimaryKeyJoinColumn()

  Create an instance of `JaxbPrimaryKeyJoinColumn`

### createJaxbJoinTable

    public JaxbJoinTable createJaxbJoinTable()

  Create an instance of `JaxbJoinTable`

### createJaxbEntityListeners

    public JaxbEntityListeners createJaxbEntityListeners()

  Create an instance of `JaxbEntityListeners`

### createJaxbEntityListener

    public JaxbEntityListener createJaxbEntityListener()

  Create an instance of `JaxbEntityListener`

### createJaxbTable

    public JaxbTable createJaxbTable()

  Create an instance of `JaxbTable`

### createJaxbElementCollection

    public JaxbElementCollection createJaxbElementCollection()

  Create an instance of `JaxbElementCollection`

### createJaxbTableGenerator

    public JaxbTableGenerator createJaxbTableGenerator()

  Create an instance of `JaxbTableGenerator`

### createJaxbOneToOne

    public JaxbOneToOne createJaxbOneToOne()

  Create an instance of `JaxbOneToOne`

### createJaxbPersistenceUnitMetadata

    public JaxbPersistenceUnitMetadata createJaxbPersistenceUnitMetadata()

  Create an instance of `JaxbPersistenceUnitMetadata`

### createJaxbEmbedded

    public JaxbEmbedded createJaxbEmbedded()

  Create an instance of `JaxbEmbedded`

### createJaxbPostLoad

    public JaxbPostLoad createJaxbPostLoad()

  Create an instance of `JaxbPostLoad`

### createJaxbSecondaryTable

    public JaxbSecondaryTable createJaxbSecondaryTable()

  Create an instance of `JaxbSecondaryTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.